package com.hncy.demo.consumer.message;

import com.hncy.demo.message.dto.DemoMessage;
import com.hncy.demo.message.listener.BatchDemoMessageListener;
import com.hncy.demo.message.listener.DemoMessageListener;
import com.hncy.message.spring.boot.starter.metadata.resolver.MessageMetadataResolver;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.Collection;

/**
 * @Author: ying.dong
 * @Date: 2021/6/3 16:37
 */
@Configuration
public class DemoMessageConfiguration {

    @Autowired
    private MessageMetadataResolver messageMetadataResolver;

    @Bean
    DemoMessageListener demoMessageListener() {
        return new DemoMessageListener(messageMetadataResolver) {
            @Override
            public void onMessage(DemoMessage demoMessage) {
                logger.info("message comes....");
                logger.info("message: [{}]", demoMessage);
            }
        };
    }

    @Bean
    BatchDemoMessageListener batchDemoMessageListener() {
        return new BatchDemoMessageListener(messageMetadataResolver) {
            @Override
            public void onMessageBatch(Collection<DemoMessage> collection) {
                logger.info("batch message comes....");
                logger.info("message: [{}]", collection);
            }
        };
    }
}
