package com.hncy.demo.feign;

import com.hncy.common.dto.ResultBean;
import com.hncy.demo.constant.DemoServiceConstant;
import com.hncy.demo.dto.DemoDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

/**
 * @Author: ying.dong
 * @Date: 2021/4/14 16:36
 */
@FeignClient(name = DemoServiceConstant.DEMO_FEIGN_CLIENT, path = "/demo")
public interface DemoFeignClient {

    @GetMapping("{id}")
    ResultBean<DemoDTO> getDemo(@PathVariable("id")Integer id);

    @PutMapping("{id}")
    ResultBean<DemoDTO> modify(@PathVariable("id")Integer id, @RequestParam("desc")String desc);

    @PostMapping
    ResultBean<Void> create(@RequestParam("desc")String desc);

    @DeleteMapping("{id}")
    ResultBean<Void> delete(@PathVariable("id")Integer id);
}
