package com.hncy.service.demo.controller;

import com.hncy.common.dto.ResultBean;
import com.hncy.lock.spring.boot.starter.core.Lock;
import com.hncy.redis.spring.boot.starter.core.RedisRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.UUID;
import java.util.function.Supplier;

/**
 * @Author: ying.dong
 * @Date: 2021/5/28 15:33
 */
@RestController
@RequestMapping("lock")
public class DLockDemoController {

    @Autowired
    private Lock lock;

    @Autowired
    private RedisRepository<String> redisRepository;

    @GetMapping("token")
    public ResultBean<String> getAccessToken(@RequestParam("user") String user,
                                             @RequestParam(value = "wait", required = false) Long wait) {
        //renew token
        String token = lock.lock("lock_access_token", 2, 10,
                () -> {
                    String uuid = UUID.randomUUID().toString();
                    if (user.equals("test")) {
                        long waitMiles = wait == null ? 3000 : wait * 1000;
                        try {
                            Thread.sleep(waitMiles);
                        } catch (InterruptedException e) {
                            e.printStackTrace();
                        }
                    }
                    return uuid;
                },
                () -> null);
        return ResultBean.success(token);
    }
}
