package com.hncy.service.demo.controller;

import cn.hutool.core.util.RandomUtil;
import com.hncy.common.dto.ResultBean;
import com.hncy.demo.message.dto.DemoMessage;
import com.hncy.demo.message.matadata.BatchDemoMessageMetadata;
import com.hncy.demo.message.matadata.DemoMessageMetadata;
import com.hncy.message.spring.boot.starter.producer.MessageDelivery;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.amqp.support.converter.Jackson2JsonMessageConverter;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author: ying.dong
 * @Date: 2021/6/3 15:48
 */
@RestController
@RequestMapping("/demo/message")
public class MessageDemoController {

    @Autowired
    private MessageDelivery messageDelivery;

    @Autowired
    private DemoMessageMetadata demoMessageMetadata;

    @Autowired
    private BatchDemoMessageMetadata batchDemoMessageMetadata;

    @RequestMapping
    public ResultBean<DemoMessage> message(@RequestParam("message") String message) {
        DemoMessage demoMessage = new DemoMessage(RandomUtil.randomInt(), message);
        messageDelivery.deliver(demoMessageMetadata, demoMessage);
        return ResultBean.success(demoMessage);
    }

    @RequestMapping("batch")
    public ResultBean<List<DemoMessage>> batchMessage(@RequestParam("message") String message, @RequestParam("size")Integer size) {
        List<DemoMessage> messages = new ArrayList<>();
        for (int i = 0; i < size; i++) {
            messages.add(new DemoMessage(RandomUtil.randomInt(), message + "_" + i));
        }
        messageDelivery.deliver(batchDemoMessageMetadata, messages);
        return ResultBean.success(messages);
    }
}
