package com.hncy.service.platform.manage.api.feign;

import com.hncy.common.constant.GlobalConstant;
import com.hncy.common.dto.ResultBean;
import com.hncy.service.platform.manage.api.constant.PlatformManageServiceConstant;
import com.hncy.service.platform.manage.api.vo.LoginLogReqVo;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @Author: cs
 * @Date: 2021/10/28 17:32
 */
@FeignClient(name = PlatformManageServiceConstant.FEIGN_CLIENT_NAME,
        path = GlobalConstant.NameSpace.INTERNAL,
        qualifier = PlatformManageServiceConstant.QUALIFIER)
public interface PlatformManageFeignClient {

    @ApiOperation(value = "保存登录日志")
    @PostMapping(value = "/login-log/saveLoginLog")
    ResultBean<Void> saveLoginLog(@ApiParam(name = "loginLogVo", value = "登录日志实体", required = true)@RequestBody LoginLogReqVo loginLogReqVo);

}
