package com.hncy.service.platform.manage.biz;

import com.hncy.auth.api.constant.ServiceAuthApiConstant;
import com.hncy.service.platform.manage.api.constant.PlatformManageServiceConstant;
import com.hncy.service.wechat.applet.api.constant.ServiceWxAppletApiConstant;
import lombok.extern.slf4j.Slf4j;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * @Author: cs
 * @Date: 2021/10/27 13:46
 */
@SpringBootApplication
@Slf4j
@MapperScan("com.hncy.service.platform.manage.biz.mapper")
@EnableConfigurationProperties
@EnableCaching
@EnableFeignClients(basePackages = {
        PlatformManageServiceConstant.FEIGN_BASE_PACKAGE,
        ServiceWxAppletApiConstant.FEIGN_BASE_PACKAGE,
        ServiceAuthApiConstant.FEIGN_BASE_PACKAGE})
public class ArxjPlatformManageApplication {

    public static void main(String[] args) {
        SpringApplication.run(ArxjPlatformManageApplication.class, args);
    }
}
