package com.hncy.service.platform.manage.biz.controller;

import cn.hutool.core.bean.BeanUtil;
import com.hncy.service.platform.manage.api.vo.LoginLogReqVo;
import com.hncy.service.platform.manage.biz.entity.LoginLog;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;
import com.hncy.common.dto.ResultBean;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import com.hncy.service.platform.manage.biz.service.LoginLogService;
import org.springframework.beans.factory.annotation.Autowired;
import io.swagger.annotations.Api;

import org.springframework.web.bind.annotation.RestController;

/**
* <p>
    * 登录日志信息controller
    * </p>
*
* @author cs
* @since 2021-10-28
*/
@RestController
@RequestMapping("/login-log")
@Slf4j
@Api(tags = "登录日志信息")
public class LoginLogController {

    @Autowired
    private LoginLogService loginLogService;

    @ApiOperation(value = "保存登录日志")
    @PostMapping(value = "/login-log/saveLoginLog")
    ResultBean<Void> saveLoginLog(@ApiParam(name = "loginLogVo", value = "登录日志实体", required = true)@RequestBody LoginLogReqVo loginLogReqVo){
        LoginLog loginLog = new LoginLog();
        BeanUtil.copyProperties(loginLogReqVo,loginLog);
        loginLogService.saveOrUpdate(loginLog);
        return ResultBean.success();
    };

}
