package com.hncy.service.platform.manage.biz.entity;

import com.hncy.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 登录日志信息
 * </p>
 *
 * @author cs
 * @since 2021-10-28
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value="LoginLog对象", description="登录日志信息")
public class LoginLog extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "逻辑删除：1、是 0、否")
    private Boolean deletedFlag;

    @ApiModelProperty(value = "登录账号")
    private String account;

    @ApiModelProperty(value = "登录时间")
    private Long time;

    @ApiModelProperty(value = "登录IP")
    private String ip;

    @ApiModelProperty(value = "登录人身份")
    private String identity;

    @ApiModelProperty(value = "登录人姓名")
    private String name;

    @ApiModelProperty(value = "登录人ID")
    private String userId;


    public static final String DELETED_FLAG = "deleted_flag";

    public static final String ACCOUNT = "account";

    public static final String TIME = "time";

    public static final String IP = "ip";

    public static final String IDENTITY = "identity";

    public static final String NAME = "name";

    public static final String USER_ID = "user_id";

}
