package com.hncy.service.wechat.applet.biz.controller;

import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;
import com.hncy.common.dto.ResultBean;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import com.hncy.service.wechat.applet.biz.entity.ComponentDetail;
import com.hncy.service.wechat.applet.biz.service.ComponentDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import io.swagger.annotations.Api;
import java.util.List;

import org.springframework.web.bind.annotation.RestController;

/**
* <p>
    * 部件详情controller
    * </p>
*
* @author cs
* @since 2021-10-27
*/
@RestController
@RequestMapping("/component-detail")
@Slf4j
@Api(tags = "部件详情")
public class ComponentDetailController {

    @Autowired
    private ComponentDetailService componentDetailService;

    @ApiOperation(value = "查询分页数据")
    @PostMapping(value = "/pagelist",produces = "application/json;charset=UTF-8")
    public ResultBean findListByPage(@ApiParam(name = "pageNum", value = "页码", required = true, defaultValue = "1")@RequestParam(name = "pageNum", defaultValue = "1") int pageNum,
                                     @ApiParam(name = "pageSize", value = "每页条数", required = true, defaultValue = "10")@RequestParam(name = "pageSize", defaultValue = "10") int pageSize){
           return null;
    }

    @ApiOperation(value = "根据id查询数据")
    @GetMapping(value = "/getById",produces = "application/json;charset=UTF-8")
    public ResultBean<ComponentDetail> getById(@ApiParam(name = "id", value = "id", required = true)@RequestParam("id") String id){
        ComponentDetail componentDetail = componentDetailService.getById(id);
        return ResultBean.success(componentDetail);
    }

    @ApiOperation(value = "新增/修改数据")
    @PostMapping(value = "/saveAndUpdate", produces = "application/json;charset=UTF-8")
    public ResultBean<Void> saveAndUpdate(@ApiParam(name = "componentDetail", value = "ComponentDetail", required = true)@RequestBody ComponentDetail componentDetail){
        componentDetailService.saveOrUpdate(componentDetail);
        return ResultBean.success();
    }

    @ApiOperation(value = "删除数据")
    @DeleteMapping(value = "/delByIds")
    public ResultBean<Void> delete(@ApiParam(name = "ids", value = "ID集合", required = true)@RequestParam("ids") List<String> ids){
        componentDetailService.removeByIds(ids);
        return ResultBean.success();
    }
}
