package com.hncy.service.wechat.applet.biz.entity;

import java.time.LocalDateTime;
import com.hncy.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 部件详情
 * </p>
 *
 * @author cs
 * @since 2021-10-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value="ComponentDetail对象", description="部件详情")
public class ComponentDetail extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "部件名称")
    private String name;

    @ApiModelProperty(value = "部件子名称")
    private String subName;

    @ApiModelProperty(value = "部件类型")
    private String category;

    @ApiModelProperty(value = "部件子类型")
    private String subCategory;

    @ApiModelProperty(value = "部件状态")
    private String status;

    @ApiModelProperty(value = "部件问题描述")
    private String issueDescription;

    @ApiModelProperty(value = "部件地址")
    private String address;

    @ApiModelProperty(value = "部件标识")
    private String identification;

    @ApiModelProperty(value = "巡检时间")
    private LocalDateTime patrolInspectionTime;


    public static final String NAME = "name";

    public static final String SUB_NAME = "sub_name";

    public static final String CATEGORY = "category";

    public static final String SUB_CATEGORY = "sub_category";

    public static final String STATUS = "status";

    public static final String ISSUE_DESCRIPTION = "issue_description";

    public static final String ADDRESS = "address";

    public static final String IDENTIFICATION = "identification";

    public static final String PATROL_INSPECTION_TIME = "patrol_inspection_time";

}
