package com.hncy.service.wechat.applet.biz.service;

import com.hncy.common.dto.ResultBean;
import com.hncy.service.wechat.applet.api.vo.WxUserInfo;
import com.hncy.service.wechat.applet.api.vo.WxUserVo;
import com.hncy.service.wechat.applet.biz.entity.WxUser;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 微信小程序用户表 服务类
 * </p>
 *
 * @author cs
 * @since 2021-10-27
 */
public interface WxUserService extends IService<WxUser> {

    /**
     * @Description 根据openid获取小程序用户信息
     * @Date 2021/10/27 15:10
     * @param
     * @return
     */
    WxUser getWxUserInfoByopenId(String openId);

    /**
     * @Description 获取小程序用户信息，并保存
     * @Date 2021/10/27 15:10
     * @param openId
     * @param nickname
     * @param sexCode
     * @param tel
     * @return
     */
    ResultBean saveWxUserInfo(String openId, String avatar, String nickname, String sexCode, String sexName, String tel);

    /**
     * @Description 根据openid查询用户是否存在(内部调用)
     * @Date 2021/10/28 18:24
     * @param openId
     * @return
     */
    ResultBean<WxUserVo> booleanWxUserByOpenId(String openId);

    /**
     * @Description 根据微信用户id查询openid(内部调用)
     * @Date 2021/10/28 18:24
     * @param wxUserId
     * @return
     */
    ResultBean<WxUserInfo> getOpenId(String wxUserId);

    /**
     * @Description 根据微信用户id获取用户名字(内部调用)
     * @Date 2021/10/28 18:24
     * @param id
     * @return
     */
    ResultBean<String> getNickNameById(String id);

    /**
     * @Description
     * @Date 2021/11/1 16:03
     * @param code
     * @return
     */
    ResultBean appletLogin(String code);

    ResultBean get();

}
